[ create a new paste ] login | about

Link: http://codepad.org/B3wAe4KN    [ raw code | fork ]

Plain Text, pasted on May 22:
# Maintainer: Abelardo Ricart <aricart@gmail.com>
# Contributor: parsiad
# 

_hgrepo='wxmupen64plus-waf-fix'
pkgname='wxmupen64plus-hg'
#Version needs to be higher than all others since there is no version higher, ever.
pkgver=999
pkgrel=1
pkgdesc='An experimental Mupen64Plus frontend written with wxWidgets'
url='https://bitbucket.org/auria/wxmupen64plus/'
depends=('wxgtk2.9' 'sdl')
conflicts=('wxmupen64plus')
provides=('wxmupen64plus')
#hg version of mupen64plus isn't required but versioning the AUR is garbage unfortunately. 
makedepends=('mercurial' 'python' 'mupen64plus-core-hg')
source=(
  'hg+https://bitbucket.org/computerquip/wxmupen64plus-waf-fix'
  'wxmupen64plus.desktop')
md5sums=('SKIP' 'abe57a02b9366b63b83967f94bc3dc5c')
arch=('i686' 'x86_64')
license=('GPL')

build()
{
	cd "${srcdir}/${_hgrepo}"
	
	#Version check is false because we have the package manager to do that for us. 
	./waf --mupenapi="/usr/include/mupen64plus" \
	      --wxconfig="/usr/bin/wx-config-2.9" \
	      --libdir="/usr/lib" \
	      --pluginsdir="/usr/lib/mupen64plus" \
	      --prefix="${pkgdir}/usr" \
	      --version_check=false \
	      configure
	./waf
}

package()
{
	cd "${srcdir}/${_hgrepo}"
	./waf install

	install -Dm644 "${srcdir}/${_hgrepo}/License.txt" "${pkgdir}/usr/share/licenses/${pkgname}/LICENSE"
	install -Dm644 "${srcdir}/wxmupen64plus.desktop" "${pkgdir}/usr/share/applications/wxmupen64plus.desktop"
}


Create a new paste based on this one


Comments: